import chalk from 'chalk'

export const propertyTypes: Record<string, string> = {
  Float: 'number',
  Int: 'number',
  String: 'string',
  Text: 'string',
  Vector2: 'Vector2',
  File: 'string',
  Color: 'Color',
  Tile: 'Tile',
}

export const getPropertyType = (key: string) => {
  const v = propertyTypes[key]

  if (v) return v

  if (key.startsWith('Enum:')) {
    return key.slice(5)
  }

  console.warn(chalk.yellow(`Unknown type: ${key}`))

  return 'unknown'
}
